[SciPy-User] scipy compiles, but importing interpolate fails

Adam Ginsburg adam.ginsburg@colorado....
Thu Mar 8 14:40:31 CST 2012


Hi, I've recently (surprisingly) gotten scipy to compile by following
these http://blog.hyperjeff.net/?p=160 instructions.  However, if I
try to import scipy.interpolate, it fails.  I'm trying to install
scipy into a virtualenv environment, though I don't think that's the
issue because I have another install in a Framework that sees the same
error.

I'm using numpy 1.6.1, scipy 0.10.1, mac OS X 10.6.8.

Can anyone help me understand the following error?

$ ~/virtual-python/bin/python -c "import scipy, scipy.interpolate"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/Users/adam/virtual-python/lib/python2.7/site-packages/scipy/interpolate/__init__.py",
line 156, in <module>
    from ndgriddata import *
  File "/Users/adam/virtual-python/lib/python2.7/site-packages/scipy/interpolate/ndgriddata.py",
line 9, in <module>
    from interpnd import LinearNDInterpolator, NDInterpolatorBase, \
  File "numpy.pxd", line 174, in init interpnd
(scipy/interpolate/interpnd.c:7771)
ValueError: numpy.ndarray has the wrong size, try recompiling

Thanks,
-- 
Adam Ginsburg
Graduate Student
Center for Astrophysics and Space Astronomy
University of Colorado at Boulder
http://casa.colorado.edu/~ginsbura/


More information about the SciPy-User mailing list